Loading...
Searching...
No Matches
pcl::console Namespace Reference

## Classes

class | TicToc

## Enumerations

enum | TT_ATTIBUTES { TT_RESET = 0 , TT_BRIGHT = 1 , TT_DIM = 2 , TT_UNDERLINE = 3 , TT_BLINK = 4 , TT_REVERSE = 7 , TT_HIDDEN = 8 }
enum | TT_COLORS { TT_BLACK , TT_RED , TT_GREEN , TT_YELLOW , TT_BLUE , TT_MAGENTA , TT_CYAN , TT_WHITE }
enum | VERBOSITY_LEVEL { L_ALWAYS , L_ERROR , L_WARN , L_INFO , L_DEBUG , L_VERBOSE }

## Functions

PCL_EXPORTS bool | find_switch (int argc, const char *const *argv, const char *argument_name)
| Finds whether the argument with name "argument_name" is in the argument list "argv".
PCL_EXPORTS int | find_argument (int argc, const char *const *argv, const char *argument_name)
| Finds the position of the argument with name "argument_name" in the argument list "argv".
template<typename Type >
int | parse (int argc, const char *const *argv, const char *argument_name, Type &value)
| Template version for parsing arguments.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, std::string &val)
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, bool &val)
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, float &val)
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, double &val)
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, int &val)
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, unsigned int &val)
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, long int &val) noexcept
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_argument (int argc, const char *const *argv, const char *str, char &val)
| Parse for a specific given command line argument.
PCL_EXPORTS int | parse_2x_arguments (int argc, const char *const *argv, const char *str, float &f, float &s, bool debug=true)
| Parse for specific given command line arguments (2x values comma separated).
PCL_EXPORTS int | parse_2x_arguments (int argc, const char *const *argv, const char *str, double &f, double &s, bool debug=true)
| Parse for specific given command line arguments (2x values comma separated).
PCL_EXPORTS int | parse_2x_arguments (int argc, const char *const *argv, const char *str, int &f, int &s, bool debug=true)
| Parse for specific given command line arguments (2x values comma separated).
PCL_EXPORTS int | parse_3x_arguments (int argc, const char *const *argv, const char *str, float &f, float &s, float &t, bool debug=true)
| Parse for specific given command line arguments (3x values comma separated).
PCL_EXPORTS int | parse_3x_arguments (int argc, const char *const *argv, const char *str, double &f, double &s, double &t, bool debug=true)
| Parse for specific given command line arguments (3x values comma separated).
PCL_EXPORTS int | parse_3x_arguments (int argc, const char *const *argv, const char *str, int &f, int &s, int &t, bool debug=true)
| Parse for specific given command line arguments (3x values comma separated).
PCL_EXPORTS int | parse_x_arguments (int argc, const char *const *argv, const char *str, std::vector< double > &v)
| Parse for specific given command line arguments (3x values comma separated).
PCL_EXPORTS int | parse_x_arguments (int argc, const char *const *argv, const char *str, std::vector< float > &v)
| Parse for specific given command line arguments (N values comma separated).
PCL_EXPORTS int | parse_x_arguments (int argc, const char *const *argv, const char *str, std::vector< int > &v)
| Parse for specific given command line arguments (N values comma separated).
PCL_EXPORTS bool | parse_multiple_arguments (int argc, const char *const *argv, const char *str, std::vector< int > &values)
| Parse for specific given command line arguments (multiple occurrences of the same command line parameter).
PCL_EXPORTS bool | parse_multiple_arguments (int argc, const char *const *argv, const char *str, std::vector< float > &values)
| Parse for specific given command line arguments (multiple occurrences of the same command line parameter).
PCL_EXPORTS bool | parse_multiple_arguments (int argc, const char *const *argv, const char *str, std::vector< double > &values)
| Parse for specific given command line arguments (multiple occurrences of the same command line parameter).
PCL_EXPORTS bool | parse_multiple_arguments (int argc, const char *const *argv, const char *str, std::vector< std::string > &values)
| Parse for a specific given command line argument (multiple occurrences of the same command line parameter).
PCL_EXPORTS bool | parse_multiple_2x_arguments (int argc, const char *const *argv, const char *str, std::vector< double > &values_f, std::vector< double > &values_s)
| Parse command line arguments for file names with given extension (multiple occurrences of 2x argument groups, separated by commas).
PCL_EXPORTS bool | parse_multiple_3x_arguments (int argc, const char *const *argv, const char *str, std::vector< double > &values_f, std::vector< double > &values_s, std::vector< double > &values_t)
| Parse command line arguments for file names with given extension (multiple occurrences of 3x argument groups, separated by commas).
PCL_EXPORTS std::vector< int > | parse_file_extension_argument (int argc, const char *const *argv, const std::vector< std::string > &extensions)
| Parse command line arguments for file names with given extension vector.
PCL_EXPORTS std::vector< int > | parse_file_extension_argument (int argc, const char *const *argv, const std::string &ext)
| Parse command line arguments for file names with given extension.
PCL_EXPORTS void | setVerbosityLevel (VERBOSITY_LEVEL level)
| set the verbosity level
PCL_EXPORTS VERBOSITY_LEVEL | getVerbosityLevel ()
| get the verbosity level.
PCL_EXPORTS bool | initVerbosityLevel ()
| initialize verbosity level.
PCL_EXPORTS bool | isVerbosityLevelEnabled (VERBOSITY_LEVEL severity)
| is verbosity level enabled?
PCL_EXPORTS void | enableColoredOutput (FILE *stream, bool enable)
| Enable or disable colored text output, overriding the default behavior.
PCL_EXPORTS void | change_text_color (FILE *stream, int attribute, int fg, int bg)
| Change the text color (on either stdout or stderr) with an attr:fg:bg.
PCL_EXPORTS void | change_text_color (FILE *stream, int attribute, int fg)
| Change the text color (on either stdout or stderr) with an attr:fg.
PCL_EXPORTS void | reset_text_color (FILE *stream)
| Reset the text color (on either stdout or stderr) to its original state.
PCL_EXPORTS void | print_color (FILE *stream, int attr, int fg, const char *format,...)
| Print a message on stream with colors.
PCL_EXPORTS void | print_info (const char *format,...)
| Print an info message on stream with colors.
PCL_EXPORTS void | print_info (FILE *stream, const char *format,...)
| Print an info message on stream with colors.
PCL_EXPORTS void | print_highlight (const char *format,...)
| Print a highlighted info message on stream with colors.
PCL_EXPORTS void | print_highlight (FILE *stream, const char *format,...)
| Print a highlighted info message on stream with colors.
PCL_EXPORTS void | print_error (const char *format,...)
| Print an error message on stream with colors.
PCL_EXPORTS void | print_error (FILE *stream, const char *format,...)
| Print an error message on stream with colors.
PCL_EXPORTS void | print_warn (const char *format,...)
| Print a warning message on stream with colors.
PCL_EXPORTS void | print_warn (FILE *stream, const char *format,...)
| Print a warning message on stream with colors.
PCL_EXPORTS void | print_debug (const char *format,...)
| Print a debug message on stream with colors.
PCL_EXPORTS void | print_debug (FILE *stream, const char *format,...)
| Print a debug message on stream with colors.
PCL_EXPORTS void | print_value (const char *format,...)
| Print a value message on stream with colors.
PCL_EXPORTS void | print_value (FILE *stream, const char *format,...)
| Print a value message on stream with colors.
PCL_EXPORTS void | print (VERBOSITY_LEVEL level, FILE *stream, const char *format,...)
| Print a message on stream.
PCL_EXPORTS void | print (VERBOSITY_LEVEL level, const char *format,...)
| Print a message.

## Enumeration Type Documentation

## TT_ATTIBUTES

enum pcl::console::TT_ATTIBUTES

Enumerator
TT_RESET |
TT_BRIGHT |
TT_DIM |
TT_UNDERLINE |
TT_BLINK |
TT_REVERSE |
TT_HIDDEN |

Definition at line 88 of file print.h.

## TT_COLORS

enum pcl::console::TT_COLORS

Enumerator
TT_BLACK |
TT_RED |
TT_GREEN |
TT_YELLOW |
TT_BLUE |
TT_MAGENTA |
TT_CYAN |
TT_WHITE |

Definition at line 99 of file print.h.

## VERBOSITY_LEVEL

enum pcl::console::VERBOSITY_LEVEL

Enumerator
L_ALWAYS |
L_ERROR |
L_WARN |
L_INFO |
L_DEBUG |
L_VERBOSE |

Definition at line 111 of file print.h.

## Function Documentation

## change_text_color() [1/2]

PCL_EXPORTS void pcl::console::change_text_color | ( | FILE * | stream,
|  | int | attribute,
|  | int | fg
| ) |  |

Change the text color (on either stdout or stderr) with an attr:fg.

Parameters

  stream | the output stream (stdout, stderr, etc)
  attribute | the text attribute
  fg | the foreground color

## change_text_color() [2/2]

PCL_EXPORTS void pcl::console::change_text_color | ( | FILE * | stream,
|  | int | attribute,
|  | int | fg,
|  | int | bg
| ) |  |

Change the text color (on either stdout or stderr) with an attr:fg:bg.

Parameters

  stream | the output stream (stdout, stderr, etc)
  attribute | the text attribute
  fg | the foreground color
  bg | the background color

## enableColoredOutput()

PCL_EXPORTS void pcl::console::enableColoredOutput | ( | FILE * | stream,
|  | bool | enable
| ) |  |

Enable or disable colored text output, overriding the default behavior.

By default, colored output is enabled for interactive terminals or when the environment variable PCL_CLICOLOR_FORCE is set.

Parameters

  stream | the output stream (stdout, stderr, etc)
  enable | whether to emit color codes when calling any of the color related methods

## find_argument()

PCL_EXPORTS int pcl::console::find_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | argument_name
| ) |  |

Finds the position of the argument with name "argument_name" in the argument list "argv".

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | argument_name | the string value to search for

Returns
  index of found argument or -1 if arguments do not appear in list

Referenced by parse().

## find_switch()

PCL_EXPORTS bool pcl::console::find_switch | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | argument_name
| ) |  |

Finds whether the argument with name "argument_name" is in the argument list "argv".

An example for a widely used switch argument is the "-r" flag for unix commands that indicates whether the command should run recursively or not.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | argument_name | the string value to search for

Returns
  true if argument was found, false otherwise

Note
  find_switch is simply returning find_argument != -1.

## getVerbosityLevel()

PCL_EXPORTS VERBOSITY_LEVEL pcl::console::getVerbosityLevel | ( |  | ) |

get the verbosity level.

## initVerbosityLevel()

PCL_EXPORTS bool pcl::console::initVerbosityLevel | ( |  | ) |

initialize verbosity level.

## isVerbosityLevelEnabled()

PCL_EXPORTS bool pcl::console::isVerbosityLevelEnabled | ( | VERBOSITY_LEVEL | severity | ) |

is verbosity level enabled?

Referenced by pcl::registration::TransformationEstimationPointToPlaneLLS< PointSource, PointTarget, Scalar >::estimateRigidTransformation(), pcl::registration::TransformationEstimationSVD< PointSource, PointTarget, Scalar >::getTransformationFromCorrelation(), pcl::ConvexHull< PointInT >::performReconstruction2D(), and pcl::ConvexHull< PointInT >::performReconstruction3D().

## parse()

template<typename Type >

int pcl::console::parse | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | argument_name,
|  | Type & | value
| ) |  |

Template version for parsing arguments.

Template parameter needs to have input stream operator overloaded!

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | argument_name | the name of the argument to search for
  [out] | value | The value of the argument

Returns
  index of found argument or -1 if arguments do not appear in list

Definition at line 78 of file parse.h.

References find_argument().

## parse_2x_arguments() [1/3]

PCL_EXPORTS int pcl::console::parse_2x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | double & | f,
|  | double & | s,
|  | bool | debug = `true`
| ) |  |

Parse for specific given command line arguments (2x values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | f | the first output value
  [out] | s | the second output value
  [in] | debug | whether to print debug info or not

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_2x_arguments() [2/3]

PCL_EXPORTS int pcl::console::parse_2x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | float & | f,
|  | float & | s,
|  | bool | debug = `true`
| ) |  |

Parse for specific given command line arguments (2x values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | f | the first output value
  [out] | s | the second output value
  [in] | debug | whether to print debug info or not

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_2x_arguments() [3/3]

PCL_EXPORTS int pcl::console::parse_2x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | int & | f,
|  | int & | s,
|  | bool | debug = `true`
| ) |  |

Parse for specific given command line arguments (2x values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | f | the first output value
  [out] | s | the second output value
  [in] | debug | whether to print debug info or not

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_3x_arguments() [1/3]

PCL_EXPORTS int pcl::console::parse_3x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | double & | f,
|  | double & | s,
|  | double & | t,
|  | bool | debug = `true`
| ) |  |

Parse for specific given command line arguments (3x values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | f | the first output value
  [out] | s | the second output value
  [out] | t | the third output value
  [in] | debug | whether to print debug info or not

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_3x_arguments() [2/3]

PCL_EXPORTS int pcl::console::parse_3x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | float & | f,
|  | float & | s,
|  | float & | t,
|  | bool | debug = `true`
| ) |  |

Parse for specific given command line arguments (3x values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | f | the first output value
  [out] | s | the second output value
  [out] | t | the third output value
  [in] | debug | whether to print debug info or not

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_3x_arguments() [3/3]

PCL_EXPORTS int pcl::console::parse_3x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | int & | f,
|  | int & | s,
|  | int & | t,
|  | bool | debug = `true`
| ) |  |

Parse for specific given command line arguments (3x values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | f | the first output value
  [out] | s | the second output value
  [out] | t | the third output value
  [in] | debug | whether to print debug info or not return index of found argument or -1 if arguments do not appear in list

## parse_argument() [1/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | bool & | val
| ) |  |

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_argument() [2/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | char & | val
| ) |  |

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_argument() [3/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | double & | val
| ) |  |

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_argument() [4/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | float & | val
| ) |  |

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_argument() [5/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | int & | val
| ) |  |

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_argument() [6/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | long int & | val
| ) |  |

noexcept

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_argument() [7/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::string & | val
| ) |  |

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_argument() [8/8]

PCL_EXPORTS int pcl::console::parse_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | unsigned int & | val
| ) |  |

Parse for a specific given command line argument.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | val | the resultant value

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_file_extension_argument() [1/2]

PCL_EXPORTS std::vector< int > pcl::console::parse_file_extension_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const std::string & | ext
| ) |  |

Parse command line arguments for file names with given extension.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | ext | the extension to search for

Returns
  a vector with file names indices

## parse_file_extension_argument() [2/2]

PCL_EXPORTS std::vector< int > pcl::console::parse_file_extension_argument | ( | int | argc,
|  | const char *const * | argv,
|  | const std::vector< std::string > & | extensions
| ) |  |

Parse command line arguments for file names with given extension vector.

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | extensions | the extensions to search for

Returns
  a vector with file names indices

## parse_multiple_2x_arguments()

PCL_EXPORTS bool pcl::console::parse_multiple_2x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< double > & | values_f,
|  | std::vector< double > & | values_s
| ) |  |

Parse command line arguments for file names with given extension (multiple occurrences of 2x argument groups, separated by commas).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | values_f | the first vector of output values
  [out] | values_s | the second vector of output values

Returns
  true if found, false otherwise

## parse_multiple_3x_arguments()

PCL_EXPORTS bool pcl::console::parse_multiple_3x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< double > & | values_f,
|  | std::vector< double > & | values_s,
|  | std::vector< double > & | values_t
| ) |  |

Parse command line arguments for file names with given extension (multiple occurrences of 3x argument groups, separated by commas).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | values_f | the first vector of output values
  [out] | values_s | the second vector of output values
  [out] | values_t | the third vector of output values

Returns
  true if found, false otherwise

## parse_multiple_arguments() [1/4]

PCL_EXPORTS bool pcl::console::parse_multiple_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< double > & | values
| ) |  |

Parse for specific given command line arguments (multiple occurrences of the same command line parameter).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | values | the resultant output values

Returns
  true if found, false otherwise

## parse_multiple_arguments() [2/4]

PCL_EXPORTS bool pcl::console::parse_multiple_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< float > & | values
| ) |  |

Parse for specific given command line arguments (multiple occurrences of the same command line parameter).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | values | the resultant output values

Returns
  true if found, false otherwise

## parse_multiple_arguments() [3/4]

PCL_EXPORTS bool pcl::console::parse_multiple_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< int > & | values
| ) |  |

Parse for specific given command line arguments (multiple occurrences of the same command line parameter).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | values | the resultant output values

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_multiple_arguments() [4/4]

PCL_EXPORTS bool pcl::console::parse_multiple_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< std::string > & | values
| ) |  |

Parse for a specific given command line argument (multiple occurrences of the same command line parameter).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the string value to search for
  [out] | values | the resultant output values

Returns
  true if found, false otherwise

## parse_x_arguments() [1/3]

PCL_EXPORTS int pcl::console::parse_x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< double > & | v
| ) |  |

Parse for specific given command line arguments (3x values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | v | the vector into which the parsed values will be copied

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_x_arguments() [2/3]

PCL_EXPORTS int pcl::console::parse_x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< float > & | v
| ) |  |

Parse for specific given command line arguments (N values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | v | the vector into which the parsed values will be copied

Returns
  index of found argument or -1 if arguments do not appear in list

## parse_x_arguments() [3/3]

PCL_EXPORTS int pcl::console::parse_x_arguments | ( | int | argc,
|  | const char *const * | argv,
|  | const char * | str,
|  | std::vector< int > & | v
| ) |  |

Parse for specific given command line arguments (N values comma separated).

Parameters

  [in] | argc | the number of command line arguments
  [in] | argv | the command line arguments
  [in] | str | the command line argument to search for
  [out] | v | the vector into which the parsed values will be copied

Returns
  index of found argument or -1 if arguments do not appear in list

## print() [1/2]

PCL_EXPORTS void pcl::console::print | ( | VERBOSITY_LEVEL | level,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a message.

Parameters

  level | the verbosity level
  format | the message

## print() [2/2]

PCL_EXPORTS void pcl::console::print | ( | VERBOSITY_LEVEL | level,
|  | FILE * | stream,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a message on stream.

Parameters

  level | the verbosity level
  stream | the output stream (stdout, stderr, etc)
  format | the message

## print_color()

PCL_EXPORTS void pcl::console::print_color | ( | FILE * | stream,
|  | int | attr,
|  | int | fg,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a message on stream with colors.

Parameters

  stream | the output stream (stdout, stderr, etc)
  attr | the text attribute
  fg | the foreground color
  format | the message

## print_debug() [1/2]

PCL_EXPORTS void pcl::console::print_debug | ( | const char * | format,
|  |  | ...
| ) |  |

Print a debug message on stream with colors.

Parameters

  format | the message

## print_debug() [2/2]

PCL_EXPORTS void pcl::console::print_debug | ( | FILE * | stream,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a debug message on stream with colors.

Parameters

  stream | the output stream (stdout, stderr, etc)
  format | the message

## print_error() [1/2]

PCL_EXPORTS void pcl::console::print_error | ( | const char * | format,
|  |  | ...
| ) |  |

Print an error message on stream with colors.

Parameters

  format | the message

Referenced by pcl::visualization::PCLVisualizer::addPointCloudPrincipalCurvatures(), pcl::TSDFVolume< VoxelT, WeightT >::load(), pcl::TSDFVolume< VoxelT, WeightT >::save(), and pcl::visualization::PCLVisualizer::updatePolygonMesh().

## print_error() [2/2]

PCL_EXPORTS void pcl::console::print_error | ( | FILE * | stream,
|  | const char * | format,
|  |  | ...
| ) |  |

Print an error message on stream with colors.

Parameters

  stream | the output stream (stdout, stderr, etc)
  format | the message

## print_highlight() [1/2]

PCL_EXPORTS void pcl::console::print_highlight | ( | const char * | format,
|  |  | ...
| ) |  |

Print a highlighted info message on stream with colors.

Parameters

  format | the message

## print_highlight() [2/2]

PCL_EXPORTS void pcl::console::print_highlight | ( | FILE * | stream,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a highlighted info message on stream with colors.

Parameters

  stream | the output stream (stdout, stderr, etc)
  format | the message

## print_info() [1/2]

PCL_EXPORTS void pcl::console::print_info | ( | const char * | format,
|  |  | ...
| ) |  |

Print an info message on stream with colors.

Parameters

  format | the message

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::addNeighborhood(), pcl::TSDFVolume< VoxelT, WeightT >::extractNeighborhood(), pcl::TSDFVolume< VoxelT, WeightT >::load(), pcl::TSDFVolume< VoxelT, WeightT >::save(), and pcl::console::TicToc::toc_print().

## print_info() [2/2]

PCL_EXPORTS void pcl::console::print_info | ( | FILE * | stream,
|  | const char * | format,
|  |  | ...
| ) |  |

Print an info message on stream with colors.

Parameters

  stream | the output stream (stdout, stderr, etc)
  format | the message

## print_value() [1/2]

PCL_EXPORTS void pcl::console::print_value | ( | const char * | format,
|  |  | ...
| ) |  |

Print a value message on stream with colors.

Parameters

  format | the message

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::load(), pcl::TSDFVolume< VoxelT, WeightT >::save(), and pcl::console::TicToc::toc_print().

## print_value() [2/2]

PCL_EXPORTS void pcl::console::print_value | ( | FILE * | stream,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a value message on stream with colors.

Parameters

  stream | the output stream (stdout, stderr, etc)
  format | the message

## print_warn() [1/2]

PCL_EXPORTS void pcl::console::print_warn | ( | const char * | format,
|  |  | ...
| ) |  |

Print a warning message on stream with colors.

Parameters

  format | the message

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::setHeader(), and pcl::gpu::kinfuLS::TsdfVolume::setHeader().

## print_warn() [2/2]

PCL_EXPORTS void pcl::console::print_warn | ( | FILE * | stream,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a warning message on stream with colors.

Parameters

  stream | the output stream (stdout, stderr, etc)
  format | the message

## reset_text_color()

PCL_EXPORTS void pcl::console::reset_text_color | ( | FILE * | stream | ) |

Reset the text color (on either stdout or stderr) to its original state.

Parameters

  stream | the output stream (stdout, stderr, etc)

## setVerbosityLevel()

PCL_EXPORTS void pcl::console::setVerbosityLevel | ( | VERBOSITY_LEVEL | level | ) |

set the verbosity level